Subject: bug#67926: 29.1; fail to extract ZIP subfile named with [...]

From: Eli Zaretskii <[email-masked]>
Date: Wed, 27 Dec 2023 18:48:57 +0200

> From: [email-masked]
> Cc: [email-masked]
> Date: Wed, 27 Dec 2023 23:36:32 +0900
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Thanks, but I don't think it's a good idea.  There are more
> > compression methods than just those 3, and some of them aren't
> > documented.  unzip.exe itself supports 17 methods.  So I'd rather stay
> > with unzip.exe than invent our own wheel.
> 
> If unzip.exe(or an alternative external program) is necessary,
> I want emacs not to load contents of archive files into archive-mode
> buffer. It is waste of time and memory.

unzip is necessary to extract files, but not to display the archive's
contents.